#!/usr/bin/env perl

#############################################
#
# Program: Install Metaphyler.
#
# Author: Bo Liu, boliu@umiacs.umd.edu
#
# Mon Mar 12 21:44:27 EDT 2012
#
#############################################

use strict;
use warnings;
use FindBin qw($Bin);


# format blast database
my $cmd = "formatdb -p F -i $Bin/../data/markers.dna";
print "$cmd\n";
system($cmd);

$cmd = "formatdb -p T -i $Bin/../data/markers.protein";
print "$cmd\n";
system($cmd);

my $gcc = "g++ -Wall -W -O2";
my @programs = ("simuReads", "metaphylerTrain", "metaphylerClassify", "taxprof", "combine");
foreach my $program (@programs) {
    $cmd = "$gcc -o $Bin/$program $Bin/src/$program.cpp";
    print "$cmd\n";
    system($cmd);
}

exit;
